<?php
/**
 * @category    Fishpig
 * @package     Fishpig_Wordpress
 * @license     http://fishpig.co.uk/license.txt
 * @author      Ben Tideswell <help@fishpig.co.uk>
 */
?>
<?php $post = $this->getPost() ?>
<div class="post-list-item">
	<h2><a href="<?php echo $post->getPermalink() ?>" title="<?php echo $this->escapeHtml($post->getPostTitle()) ?>"><?php echo $this->escapeHtml($post->getPostTitle()) ?></a></h2>
	<?php echo $this->getBeforePostContentHtml() ?>
	<div class="post-entry entry<?php if ($post->getFeaturedImage()): ?> post-entry-with-image<?php endif; ?>">
		<?php if ($post->isViewableForVisitor()): ?>
			<?php if ($featuredImage = $post->getFeaturedImage()): ?>
				<div class="featured-image left">
					<a href="<?php echo $post->getPermalink() ?>" title="<?php echo $this->escapeHtml($post->getPostTitle()) ?>"><img src="<?php echo $featuredImage->getAvailableImage() ?>" alt="<?php echo $this->escapeHtml($post->getPostTitle()) ?>"/></a>
				</div>
			<?php endif; ?>
			<?php if ($this->displayExcerptInFeed() || $post->hasMoreTag()): ?>
				<?php 
					/**
					* You can pass the number of words you want the excerpt to be shortened to like so
					* The below code will only show the first 50 words of the excerpt
					* <?php echo $post->getPostExcerpt(50) ?>
					*
					**/ 
				?>
				<?php echo $post->getPostExcerpt(50) ?>
			<?php else: ?>
				<?php echo $post->getPostContent() ?>
			<?php endif; ?>
		<?php else: ?>
			<?php echo $this->getPasswordProtectHtml($post) ?>
		<?php endif; ?>
	</div>
	<?php echo $this->getAfterPostContentHtml() ?>
</div>